"use strict";
const NxError_1 = require("./NxError");
class InvalidVersionError extends NxError_1.NxError {
    get version() {
        return this._version;
    }
    constructor(version) {
        super("Version is not a valid semver version");
        this._version = version;
    }
}
exports.InvalidVersionError = InvalidVersionError;
//# sourceMappingURL=InvalidVersionError.js.map