import {NxError} from "./NxError";
export class InvalidVersionError extends NxError {

    private _version: string;

    get version(): string {
        return this._version;
    }

    constructor(version: string) {
        super("Version is not a valid semver version");
        this._version = version;
    }

}