import { PersistenceService } from "../persistence/PersistenceService";
import { LinkScope } from "../configuration/NxConfiguration";
import { PackageService } from "../node/PackageService";
import { LoggingServiceFactory } from "../logging/LoggingServiceFactory";
import { NpmService } from "../node/NpmService";
export declare class LinkService {
    private _persistenceService;
    private _packageService;
    private _loggingService;
    private _npmService;
    constructor(loggingServiceFactory: LoggingServiceFactory, persistenceService: PersistenceService, npmService: NpmService, packageService: PackageService);
    link(scope: LinkScope): Promise<boolean>;
    unlink(scope: LinkScope): Promise<boolean>;
    private unlinkPackage(packageInfo, packageToUnlink);
}
