import { interfaces } from "inversify";
import { LogLevel } from "../logging/LogLevel";
import { ILoggingPipeline } from "../logging/ILoggingPipeline";
export declare class FrameworkBootstrapper {
    private _container;
    getContainer(): interfaces.Container;
    withIocContainer(): FrameworkBootstrapper;
    withLogging(logLevel: LogLevel, pipelines?: Array<ILoggingPipeline>): FrameworkBootstrapper;
    bootstrap(): boolean;
}
