import { NxConfiguration } from "./NxConfiguration";
import { PersistenceService } from "../persistence/PersistenceService";
export declare class ConfigurationService {
    private _persistenceService;
    constructor(persistenceService: PersistenceService);
    init(): Promise<NxConfiguration>;
    load(configurationFilePath: string): Promise<NxConfiguration>;
    search(directory: string): string;
    save(directory: string, configuration: NxConfiguration): Promise<boolean>;
    private resolveDirectories(directories, currentDirectory);
}
