"use strict";
class ConfigurationFileNotFoundError extends Error {
    get filePath() {
        return this._filePath;
    }
    constructor(filePath) {
        super("configuration file not found");
        this._filePath = filePath;
    }
}
exports.ConfigurationFileNotFoundError = ConfigurationFileNotFoundError;
//# sourceMappingURL=ConfigurationFileNotFoundError.js.map