export class ConfigurationFileNotFoundError extends Error {
    private _filePath: string;

    public get filePath(): string {
        return this._filePath;
    }

    constructor(filePath: string){
        super("configuration file not found");
        this._filePath = filePath;
    }

}