import "reflect-metadata";
import { ContainerModule } from "inversify";
import { LogLevel } from "./LogLevel";
import { ILoggingPipeline } from "./ILoggingPipeline";
export declare class LoggingModule extends ContainerModule {
    constructor(logLevel: LogLevel, pipelines: Array<ILoggingPipeline>);
    private static initializeBindings(bind, logLevel, pipelines);
    private static initializeLoggingBindings(bind, logLevel, pipelines);
}
