import { LogLevel } from "./LogLevel";
import { ILoggingPipeline } from "./ILoggingPipeline";
export declare class LoggingService {
    private _location;
    private _logLevel;
    private _pipelines;
    constructor(location: string, logLevel: LogLevel, pipelines: Array<ILoggingPipeline>);
    info(message: string, data?: any): void;
    warn(message: string, data?: any): void;
    error(message: string, data?: any): void;
    debug(message: string, data?: any): void;
    private log(logLevel, message, data);
}
